Debian Bug report logs - #417437
FTBFS with GCC 4.3: missing #includes

version graph

Package: mypasswordsafe; Maintainer for mypasswordsafe is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 2 Apr 2007 19:15:02 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version mypasswordsafe/0.0.20050615-2

Fixed in version mypasswordsafe/0.0.20050615-2.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#417437; Package mypasswordsafe. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Mon, 2 Apr 2007 20:14:22 +0100
Package: mypasswordsafe
Version: 0.0.20050615-2
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  Some background of this can be found at
http://gcc.gnu.org/PR28080

You can reproduce this problem with gcc-snapshot (20070326-1 or higher)
from unstable.

> Automatic build of mypasswordsafe_0.0.20050615-2 on coconut0 by sbuild/ia64 0.49
...
> g++ -c -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -I/usr/share/qt3/mkspecs/default -I. -Iuuid-1.0.0 -I/usr/include/qt3 -I.ui/ -Isrc -I.moc/ -o .obj/safeserializer.o src/safeserializer.cpp
> src/safeserializer.cpp: In static member function 'static QString SafeSerializer::getTypes()':
> src/safeserializer.cpp:105: error: 'for_each' was not declared in this scope
> src/safeserializer.cpp: In static member function 'static QString SafeSerializer::getExtensions()':
> src/safeserializer.cpp:128: error: 'for_each' was not declared in this scope

--- src/pwsafe/Util.cpp~	2007-04-02 19:06:47.000000000 +0000
+++ src/pwsafe/Util.cpp	2007-04-02 19:06:57.000000000 +0000
@@ -6,6 +6,8 @@
 //#include "PwsPlatform.h"
 
 #include <stdio.h>
+#include <cstdlib>
+#include <climits>
 #include <iostream>
 using std::cout;
 using std::endl;
--- src/safeserializer.cpp~	2007-04-02 19:05:40.000000000 +0000
+++ src/safeserializer.cpp	2007-04-02 19:05:48.000000000 +0000
@@ -17,6 +17,7 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 #include <qstring.h>
+#include <algorithm>
 #include "safe.hpp"
 #include "safeserializer.hpp"
 #include "plaintextlizer.hpp"
--- src/encryptedstring.cpp~	2007-04-02 19:06:34.000000000 +0000
+++ src/encryptedstring.cpp	2007-04-02 19:06:40.000000000 +0000
@@ -15,6 +15,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
+#include <cstdlib>
 #include <time.h>
 #include <iostream>
 #include "pwsafe/Util.h"

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:33:26 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#417437; Package mypasswordsafe. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. Full text and rfc822 format available.

Message #14 received at 417437@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 417437@bugs.debian.org
Subject: mypasswordsafe: diff for NMU version 0.0.20050615-2.1
Date: Sat, 5 Apr 2008 20:35:03 +0100
[Message part 1 (text/plain, inline)]
tags 417437 + patch
thanks

Hi,

Attached is the diff for my mypasswordsafe 0.0.20050615-2.1 NMU.
There's still some cleanup in the doc-base part of things, but I leave
that to you for now.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[mypasswordsafe-0.0.20050615-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 19:36:03 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 417437-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 417437-close@bugs.debian.org
Subject: Bug#417437: fixed in mypasswordsafe 0.0.20050615-2.1
Date: Sat, 05 Apr 2008 19:47:21 +0000
Source: mypasswordsafe
Source-Version: 0.0.20050615-2.1

We believe that the bug you reported is fixed in the latest version of
mypasswordsafe, which is due to be installed in the Debian FTP archive:

mypasswordsafe_0.0.20050615-2.1.diff.gz
  to pool/main/m/mypasswordsafe/mypasswordsafe_0.0.20050615-2.1.diff.gz
mypasswordsafe_0.0.20050615-2.1.dsc
  to pool/main/m/mypasswordsafe/mypasswordsafe_0.0.20050615-2.1.dsc
mypasswordsafe_0.0.20050615-2.1_i386.deb
  to pool/main/m/mypasswordsafe/mypasswordsafe_0.0.20050615-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417437@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated mypasswordsafe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 20:14:33 +0100
Source: mypasswordsafe
Binary: mypasswordsafe
Architecture: source i386
Version: 0.0.20050615-2.1
Distribution: unstable
Urgency: low
Maintainer: Felipe Augusto van de Wiel (faw) <faw@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 mypasswordsafe - Easy-to-use password manager
Closes: 417437
Changes: 
 mypasswordsafe (0.0.20050615-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc-4.3 (closes: #417437)
   * Some lintian induced cleanup:
     - Stop ignoring errors in clean target
     - Remove a few more files in clean
     - Move Homepage to control field
   * Update Standards-Version (no changes)
Files: 
 c2ab971e5eeed9c4c51a76dc2307e71f 717 utils optional mypasswordsafe_0.0.20050615-2.1.dsc
 a3f0a76c61044bc037903d491f51b351 4539 utils optional mypasswordsafe_0.0.20050615-2.1.diff.gz
 ae795761e08b1e5a17f4c321246ffb77 584388 utils optional mypasswordsafe_0.0.20050615-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH99QdSYIMHOpZA44RAszWAJ0XsBWlCVE072ag4hOpwH2h6z405ACgm8xa
bVhLc5uK8HYh3eiSESjCqnc=
=51JS
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 02:48:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:03:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:03:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.